Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# TransactionPartnerTelegramApi

class telegram.TransactionPartnerTelegramApi(request_count, *, api_kwargs=None)

  Bases: `telegram.TransactionPartner`

  Describes a transaction with payment for paid broadcasting.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `request_count` is equal.

  Available In

  - `telegram.StarTransaction.receiver`

  - `telegram.StarTransaction.source`

  Added in version 21.7.

  Parameters:

    request_count (`int`) – The number of successful requests that exceeded regular limits and were therefore billed.

  type

    The type of the transaction partner, always `'telegram_api'`.

    Type:

      `str`

  request_count

    The number of successful requests that exceeded regular limits and were therefore billed.

    Type:

      `int`